## python-pattern 2.6+git20150109

=== pattern/web/pdf/cmap/Makefile ===
# Makefile for pdfminer.cmap

all:

clean:
	-rm *.pyc *.pyo

cmap_clean:
	rm -f *.pickle.gz

=== debian/changelog ===
python-pattern (2.6+git20150109-2) unstable; urgency=medium

  * Don't call run-tests when building the package. Closes: #834919

 -- Miriam Ruiz <miriam@debian.org>  Thu, 17 Nov 2016 18:30:43 +0100

python-pattern (2.6+git20150109-1) unstable; urgency=low

  * New release. Closes: #824052

 -- Miriam Ruiz <miriam@debian.org>  Thu, 12 May 2016 18:55:30 +0200

=== debian/control ===
Source: python-pattern
Section: python
Priority: optional
Maintainer: Miriam Ruiz <miriam@debian.org>
Build-Depends:
 debhelper (>= 9), quilt, python-all, python-setuptools, dh-python,
 python-liblinear, python-libsvm, python-feedparser, python-beautifulsoup,
 python-simplejson, python-pdfminer, python-numpy, wordnet-base
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
Homepage: http://www.clips.ua.ac.be/pages/pattern
Vcs-Git: git://git.debian.org/collab-maint/python-pattern.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pattern.git;a=summary

Package: python-pattern
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
 python-liblinear, python-libsvm, python-feedparser, python-beautifulsoup,
 python-simplejson, python-pdfminer, python-numpy, wordnet-base
Description: web mining module for Python
 Pattern is a web mining module for the Python programming language. It has
 tools for data mining (Google, Twitter and Wikipedia API, a web crawler,
 a HTML DOM parser), natural language processing (part-of-speech taggers,
 n-gram search, sentiment analysis, WordNet), machine learning (vector space
 model, clustering, SVM), network analysis and <canvas> visualization.
 .
 The module is free, well-document and bundled with 50+ examples and
 350+ unit tests.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	#dh $@ --with python2,python3
	dh $@ --with python2

override_dh_auto_install: 
	set -e && for pyvers in $(shell pyversions -vr); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-pattern; \
	done

	#set -e && for py3vers in $(shell py3versions -sv); do \
	#	python$$py3vers setup.py install --install-layout=deb \
	#		--root $(CURDIR)/debian/python3-pattern; \
	#done

	find debian/python*-pattern/ -type f -name "LICENSE.txt" -exec rm -fv {} \;
	find debian/python*-pattern/ -type f -name "LICENSE" -exec rm -fv {} \;

override_dh_install:
	dh_install

	find "debian/python-pattern/usr/share/doc/python-pattern/test" -type f -name "*.py" | \
		while read -r F; do \
			echo "Fixing $$F"; \
			sed -i.bak 's/import os, sys; sys.path.insert(.*)/import os, sys/g' "$$F"; \
		done
	find "debian/python-pattern/usr/share/doc/python-pattern/test" -type f -name "*.py.bak" -delete


override_dh_installexamples:
	dh_installexamples

	find "debian/python-pattern/usr/share/doc/python-pattern/examples" -type f -name "*.py" | \
		while read -r F; do \
			echo "Fixing $$F"; \
			sed -i.bak 's/import os, sys; sys.path.insert(.*)/import os, sys/g' "$$F"; \
		done
	find "debian/python-pattern/usr/share/doc/python-pattern/examples" -type f -name "*.py.bak" -delete


override_dh_auto_clean:
	rm -rfv pattern/web/feed/
	rm -rfv pattern/web/json/
	rm -rfv pattern/web/soup/
	rm -rfv pattern/vector/svm/liblinear-*/
	rm -fv  pattern/vector/svm/liblinear*.py
	rm -rfv pattern/vector/svm/libsvm-*/
	rm -fv  pattern/vector/svm/libsvm.py

	find pattern/text/en/wordnet/dict/ ! -name 'index.32' -type f -exec rm -fv {} +

	set -e && for pyvers in $(shell pyversions -vr); do \
		python$$pyvers setup.py clean -a; \
	done

	#set -e && for py3vers in $(shell py3versions -sv); do \
	#	python$$py3vers setup.py clean -a; \
	#done

	find . -name "*.pyc" -delete
	rm -rfv build Pattern.egg-info
	dh_clean


override_dh_compress:
	dh_compress \
		--exclude=.py \
		--exclude=.txt \
		--exclude=.csv \
		--exclude=.docx \
		--exclude=.pdf \
		--exclude=.db \
		--exclude=.html \
		--exclude=.js \
		--exclude=.gif \
		--exclude=.jpg \
		--exclude=.png


run-tests:
	dh_testdir
	# Start tests
	LC_ALL=C LANG=C python test/test_metrics.py
	# pattern.web tests require a working internet connection
	#LC_ALL=C LANG=C python test/test_web.py
	# pattern.db tests require a valid username and password for MySQL
	#LC_ALL=C LANG=C python test/test_db.py
	LC_ALL=C LANG=C python test/test_de.py
	LC_ALL=C LANG=C python test/test_en.py
	LC_ALL=C LANG=C python test/test_es.py
	LC_ALL=C LANG=C python test/test_fr.py
	LC_ALL=C LANG=C python test/test_it.py 
	LC_ALL=C LANG=C python test/test_nl.py
	LC_ALL=C LANG=C python test/test_text.py
	LC_ALL=C LANG=C python test/test_search.py
	LC_ALL=C LANG=C python test/test_vector.py
	LC_ALL=C LANG=C python test/test_graph.py
	# Clean everything
	find . -name "*.pyc" -delete


get-orig-source: clean
	dh_testdir
	dh_testroot
	# Create temporary directory (removing it if it previously existed)
	rm -rf debian/tmp
	mkdir -p debian/tmp
	# Download software
	wget \
		--output-document="debian/tmp/pattern-2.6+git820cccf.zip" \
		https://codeload.github.com/clips/pattern/zip/820cccf33c6ac4a4f1564a273137171cfa6ab7cb
	cd debian/tmp && unzip pattern-*.zip && rm -fv pattern-*.zip
	# Remove unwanted pre-compiled files
	rm -rfv debian/tmp/pattern-*/pattern/vector/svm/liblinear-*/
	rm -rfv debian/tmp/pattern-*/pattern/vector/svm/libsvm-*/
	# Fix permissions
	find debian/tmp/pattern-*/. -type f -name "*.txt"    -exec chmod 0644 {} \;
	find debian/tmp/pattern-*/. -type f -name "*.rst"    -exec chmod 0644 {} \;
	find debian/tmp/pattern-*/. -type f -name "PKG-INFO" -exec chmod 0644 {} \;
	find debian/tmp/pattern-*/. -type f -name "*.py"     -exec chmod 0644 {} \;
	find debian/tmp/pattern-*/. -type f -name "*.pyc"    -exec rm -fv {} \;
	chmod +x debian/tmp/pattern-*/pattern/server/cherrypy/cherrypy/cherryd
	# Replace shCore.js with the original source
	patch debian/tmp/pattern-*/docs/js/shCore.js < debian/patches/replace-shCore-source.patch
	# Create tarball
	cd debian/tmp && tar cvfJ python-pattern_2.6+git20150109.orig.tar.xz pattern-*/
	mv debian/tmp/python-pattern_*.orig.tar.xz ..
	rm -rf debian/tmp

## python-pattern 2.6+git20180818

=== debian/changelog ===
python-pattern (2.6+git20180818-2) unstable; urgency=medium

  * Removed python2-minimal from Build-Depends. Closes: #938006
  * Making a source-only upload. Closes: #946760

 -- Miriam Ruiz <miriam@debian.org>  Tue, 28 Jan 2020 23:43:21 +0100

python-pattern (2.6+git20180818-1) unstable; urgency=medium

  * New upstream release
  * Refreshed patches
  * Added some patches from the upstream development branches
  * Added binary package for Python 3: python3-pattern
  * Removed binary package for Python 2: python-pattern. Closes: #938006
  * Upgraded Standards-Version from 4.2.1.1 to 4.4.1.1

 -- Miriam Ruiz <miriam@debian.org>  Sun, 24 Nov 2019 06:51:17 +0100

python-pattern (2.6+git20150109-3) unstable; urgency=medium

  * Replace python-beautifulsoup with python-bs4. Closes: #891099
  * Upgraded Standards-Version from 3.9.8 to 4.2.1.1

 -- Miriam Ruiz <miriam@debian.org>  Sun, 07 Oct 2018 05:02:13 +0200

=== debian/control ===
Source: python-pattern
Section: python
Priority: optional
Maintainer: Miriam Ruiz <miriam@debian.org>
Build-Depends:
 debhelper (>= 9), quilt, wordnet-base, dh-python, python3-minimal,
 python3-all, python3-setuptools, python3-future,
 python3-liblinear, python3-nltk, python3-lxml, python3-pdfminer,
 python3-bs4, python3-feedparser, python3-simplejson, python3-requests,
 python3-numpy, python3-scipy, python3-cherrypy3, wordnet-base
Standards-Version: 4.4.1.1
Homepage: http://www.clips.ua.ac.be/pages/pattern

Package: python3-pattern
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-liblinear, python3-feedparser, python3-bs4, python3-nltk,
 python3-simplejson, python3-numpy, python3-scipy, python3-requests,
 wordnet-base
Recommends: python3-pdfminer
Description: web mining module for Python 3
 Pattern is a web mining module for the Python programming language. It has
 tools for data mining (Google, Twitter and Wikipedia API, a web crawler,
 a HTML DOM parser), natural language processing (part-of-speech taggers,
 n-gram search, sentiment analysis, WordNet), machine learning (vector space
 model, clustering, SVM), network analysis and <canvas> visualization.
 .
 The module is free, well-document and bundled with 50+ examples and
 350+ unit tests.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	PATH="$$PATH:$(CURDIR)/debian/scripts/" dh $@ --with python3

override_dh_auto_install:
	set -e && for py3vers in $(shell py3versions -sv); do \
		python$$py3vers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-pattern; \
	done

	find debian/python*-pattern/ -type f -name "LICENSE.txt" -exec rm -fv {} \;
	find debian/python*-pattern/ -type f -name "LICENSE" -exec rm -fv {} \;

#override_dh_install: run-tests
override_dh_install:
	dh_install

	find "debian/python3-pattern/usr/share/doc/python3-pattern/test" -type f -name "*.py" | \
		while read -r F; do \
			echo "Fixing $$F"; \
			sed -i.bak 's/import os, sys; sys.path.insert(.*)/import os, sys/g' "$$F"; \
		done
	find "debian/python3-pattern/usr/share/doc/python3-pattern/test" -type f -name "*.py.bak" -delete


override_dh_installexamples:
	dh_installexamples

	find "debian/python3-pattern/usr/share/doc/python3-pattern/examples" -type f -name "*.py" | \
		while read -r F; do \
			echo "Fixing $$F"; \
			sed -i.bak 's/import os, sys; sys.path.insert(.*)/import os, sys/g' "$$F"; \
		done
	find "debian/python3-pattern/usr/share/doc/python3-pattern/examples" -type f -name "*.py.bak" -delete


override_dh_auto_clean:
	rm -rfv pattern/web/feed/
	rm -rfv pattern/web/json/
	rm -rfv pattern/web/soup/
	rm -rfv pattern/vector/svm/liblinear-*/
	rm -fv  pattern/vector/svm/liblinear*.py
	rm -rfv pattern/vector/svm/libsvm-*/
	rm -fv  pattern/vector/svm/libsvm.py

	find pattern/text/en/wordnet/dict/ ! -name 'index.32' -type f -exec rm -fv {} +

	set -e && for py3vers in $(shell py3versions -sv); do \
		python$$py3vers setup.py clean -a; \
	done

	find . -name "*.pyc" -delete
	rm -rfv build Pattern.egg-info
	dh_clean


override_dh_compress:
	dh_compress \
		--exclude=.py \
		--exclude=.txt \
		--exclude=.csv \
		--exclude=.docx \
		--exclude=.pdf \
		--exclude=.db \
		--exclude=.html \
		--exclude=.js \
		--exclude=.gif \
		--exclude=.jpg \
		--exclude=.png


run-python3-tests:
	dh_testdir
	# Start tests
	LC_ALL=C.UTF-8 LANG=C.UTF-8 python3 test/test_metrics.py
	# pattern.web tests require a working internet connection
	#LC_ALL=C.UTF-8 LANG=C.UTF-8 python3 test/test_web.py
	# pattern.db tests require a valid username and password for MySQL
	#LC_ALL=C.UTF-8 LANG=C.UTF-8 python3 test/test_db.py
	LC_ALL=C.UTF-8 LANG=C.UTF-8 python3 test/test_de.py
	LC_ALL=C.UTF-8 LANG=C.UTF-8 python3 test/test_en.py
	LC_ALL=C.UTF-8 LANG=C.UTF-8 python3 test/test_es.py
	LC_ALL=C.UTF-8 LANG=C.UTF-8 python3 test/test_fr.py
	LC_ALL=C.UTF-8 LANG=C.UTF-8 python3 test/test_it.py
	LC_ALL=C.UTF-8 LANG=C.UTF-8 python3 test/test_nl.py
	LC_ALL=C.UTF-8 LANG=C.UTF-8 python3 test/test_ru.py
	LC_ALL=C.UTF-8 LANG=C.UTF-8 python3 test/test_text.py
	LC_ALL=C.UTF-8 LANG=C.UTF-8 python3 test/test_search.py
	# vector tests require libsvm for Python3
	#LC_ALL=C.UTF-8 LANG=C.UTF-8 python3 test/test_vector.py
	LC_ALL=C.UTF-8 LANG=C.UTF-8 python3 test/test_graph.py
	# Clean everything
	find . -name "*.pyc" -delete


run-tests: run-python3-tests


get-orig-source: clean
	dh_testdir
	dh_testroot
	# Create temporary directory (removing it if it previously existed)
	rm -rf debian/tmp
	mkdir -p debian/tmp
	# Download software
	wget \
		--output-document="debian/tmp/pattern-2.6+git5b85d99.zip" \
		https://codeload.github.com/clips/pattern/zip/5b85d998c30ddc6772b56310713530224466083a
	cd debian/tmp && unzip pattern-*.zip && rm -fv pattern-*.zip
	# Remove unwanted pre-compiled files
	rm -rfv debian/tmp/pattern-*/pattern/vector/svm/liblinear-*/
	rm -rfv debian/tmp/pattern-*/pattern/vector/svm/libsvm-*/
	# Fix permissions
	find debian/tmp/pattern-*/. -type f -name "*.txt"    -exec chmod 0644 {} \;
	find debian/tmp/pattern-*/. -type f -name "*.rst"    -exec chmod 0644 {} \;
	find debian/tmp/pattern-*/. -type f -name "PKG-INFO" -exec chmod 0644 {} \;
	find debian/tmp/pattern-*/. -type f -name "*.py"     -exec chmod 0644 {} \;
	find debian/tmp/pattern-*/. -type f -name "*.pyc"    -exec rm -fv {} \;
	# Replace shCore.js with the original source
	patch debian/tmp/pattern-*/docs/js/shCore.js < debian/patches/replace-shCore-source.patch
	# Create tarball
	cd debian/tmp && tar cvfJ python-pattern_2.6+git20180818.orig.tar.xz pattern-*/
	mv debian/tmp/python-pattern_*.orig.tar.xz ..
	rm -rf debian/tmp

.PHONY: run-python2-tests run-python3-tests run-tests get-orig-source
